TokenControllerQueryNumberOfTokens Method |
POST /Token/Count/
Gets the number of tokens that match the filter.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Count")]
public IActionResult QueryNumberOfTokens(
[FromBodyAttribute] GetTokensOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Count")>
Public Function QueryNumberOfTokens (
<FromBodyAttribute> options As GetTokensOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Count")]
IActionResult^ QueryNumberOfTokens(
[FromBodyAttribute] GetTokensOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Count")>]
member QueryNumberOfTokens :
[<FromBodyAttribute>] options : GetTokensOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsGetTokensOptions
An object that carries all needed information about the tokens that need to be retrieved. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResultAn
Int32 containing the number of tokens that match the criteria, or a status code indicating the problem.
See Also